import http from 'http'
import { WebSocketServer } from 'ws'

// 创建一个 HTTP 服务器
const server = http.createServer((req, res) => {
    res.writeHead(200, { 'Content-Type': 'text/plain' })
    res.end('WebSocket server is running')
})

// 创建 WebSocket 服务器，并将其绑定到 HTTP 服务器
const wss = new WebSocketServer({ server })

// 处理 WebSocket 连接
wss.on('connection', ws => {
    console.log('A new client connected!')

    // 监听客户端发送的消息
    ws.on('message', message => {
        console.log('收到数据:', message)
    })

    // 发送欢迎消息给客户端
    ws.send('Hello from WebSocket server!')
})

// 启动 HTTP 服务器，监听端口
server.listen(8080, () => {
    console.log('Server is listening on http://localhost:8080')
})
